<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>LWPR Library: C++ wrapper around the LWPR library</title>

<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css" />



</head>
<body>
<div id="top"><!-- do not remove this div! -->


<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  
  
  <td style="padding-left: 0.5em;">
   <div id="projectname">LWPR Library
   &#160;<span id="projectnumber">1.2.4</span>
   </div>
   
  </td>
  
  
  
 </tr>
 </tbody>
</table>
</div>

<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#files">Files</a> &#124;
<a href="#typedef-members">Typedefs</a>  </div>
  <div class="headertitle">
<div class="title">C++ wrapper around the LWPR library</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLWPR__Exception.html">LWPR_Exception</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Simple class for describing exceptions that may be thrown during calls to LWPR methods.  <a href="classLWPR__Exception.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLWPR__ReceptiveFieldObject.html">LWPR_ReceptiveFieldObject</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Thin wrapper class for inspecting a receptive field. You can only create an object of this class by a call to <a class="el" href="classLWPR__Object.html#a3529adaad41b380fe8e89f02dc1ec0ab" title="Returns a wrapper object for inspecting a receptive field.">LWPR_Object::getRF()</a> All methods of this class leave the underlying receptive field unchanged.  <a href="classLWPR__ReceptiveFieldObject.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLWPR__Object.html">LWPR_Object</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Thin C++ wrapper class around C implementation of LWPR.  <a href="classLWPR__Object.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="files"></a>
Files</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lwpr_8hh.html">lwpr.hh</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><p>Header file for simple C++ wrapper around the LWPR C-library. </p>
<br/></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gad683d2318af954b2d2245b5a4b328e92"></a><!-- doxytag: member="LWPR_CPP::doubleVec" ref="gad683d2318af954b2d2245b5a4b328e92" args="" -->
typedef std::vector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__LWPR__CPP.html#gad683d2318af954b2d2245b5a4b328e92">doubleVec</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">doubleVec Shortcut typedef for the vector object utilised in the C++ implementation of LWPR <br/></td></tr>
</table>
</div><!-- contents -->


<hr class="footer"/><address class="footer"><small>
Generated on Fri Feb 3 2012 20:15:55 for LWPR Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.7.6.1
</small></address>

</body>
</html>
